LAMMPS (4 Jan 2019)
# Al2O3 crystal, qeq on, minimizes, then calculates elastic constants

variable T_depart equal 300
variable dt equal 0.0002

#Constante
variable rac3 equal sqrt(3.0)
variable rac1_2 equal sqrt(0.5)
variable rac3_2 equal sqrt(1.5)

#Structure
variable a equal 4.05

variable nx equal 10
variable ny equal 7
variable nz equal 4

variable bx equal ${a}*${nx}*${rac1_2}
variable bx equal 4.05*${nx}*${rac1_2}
variable bx equal 4.05*10*${rac1_2}
variable bx equal 4.05*10*0.707106781186548
variable by equal ${a}*${ny}*${rac3_2}
variable by equal 4.05*${ny}*${rac3_2}
variable by equal 4.05*7*${rac3_2}
variable by equal 4.05*7*1.22474487139159
variable bz equal ${a}*${nz}*${rac3}
variable bz equal 4.05*${nz}*${rac3}
variable bz equal 4.05*4*${rac3}
variable bz equal 4.05*4*1.73205080756888
# =======================================================================

units		metal
atom_style	charge
dimension       3
boundary        p p p


lattice		sc 1.0
Lattice spacing in x,y,z = 1 1 1
region          box_vide prism 0 ${bx} 0 ${by} 0 ${bz} 0.0 0.0 0.0
region          box_vide prism 0 28.6378246380552 0 ${by} 0 ${bz} 0.0 0.0 0.0
region          box_vide prism 0 28.6378246380552 0 34.7215171039516 0 ${bz} 0.0 0.0 0.0
region          box_vide prism 0 28.6378246380552 0 34.7215171039516 0 28.0592230826159 0.0 0.0 0.0
create_box      1 box_vide
Created triclinic box = (0 0 0) to (28.6378 34.7215 28.0592) with tilt (0 0 0)
  2 by 2 by 2 MPI processor grid

# Aluminium atoms z = [111]
lattice custom ${a} a1 ${rac1_2}  0.0      0.0                     a2   0.0   ${rac3_2}   0.0                     a3   0.0      0.0    ${rac3}                         basis 0.0 0.0 0.0                         basis 0.5 0.5 0.0                         basis 0.5 0.166666667 0.33333                         basis 0.0 0.666666667 0.33333                         basis 0.0 0.333333333 0.66667                         basis 0.5 0.833333333 0.66667
lattice custom 4.05 a1 ${rac1_2}  0.0      0.0                     a2   0.0   ${rac3_2}   0.0                     a3   0.0      0.0    ${rac3}                         basis 0.0 0.0 0.0                         basis 0.5 0.5 0.0                         basis 0.5 0.166666667 0.33333                         basis 0.0 0.666666667 0.33333                         basis 0.0 0.333333333 0.66667                         basis 0.5 0.833333333 0.66667
lattice custom 4.05 a1 0.707106781186548  0.0      0.0                     a2   0.0   ${rac3_2}   0.0                     a3   0.0      0.0    ${rac3}                         basis 0.0 0.0 0.0                         basis 0.5 0.5 0.0                         basis 0.5 0.166666667 0.33333                         basis 0.0 0.666666667 0.33333                         basis 0.0 0.333333333 0.66667                         basis 0.5 0.833333333 0.66667
lattice custom 4.05 a1 0.707106781186548  0.0      0.0                     a2   0.0   1.22474487139159   0.0                     a3   0.0      0.0    ${rac3}                         basis 0.0 0.0 0.0                         basis 0.5 0.5 0.0                         basis 0.5 0.166666667 0.33333                         basis 0.0 0.666666667 0.33333                         basis 0.0 0.333333333 0.66667                         basis 0.5 0.833333333 0.66667
lattice custom 4.05 a1 0.707106781186548  0.0      0.0                     a2   0.0   1.22474487139159   0.0                     a3   0.0      0.0    1.73205080756888                         basis 0.0 0.0 0.0                         basis 0.5 0.5 0.0                         basis 0.5 0.166666667 0.33333                         basis 0.0 0.666666667 0.33333                         basis 0.0 0.333333333 0.66667                         basis 0.5 0.833333333 0.66667
Lattice spacing in x,y,z = 2.86378 4.96022 7.01481

create_atoms 	1 region box_vide
Created 1680 atoms
  Time spent = 0.000734602 secs

mass		1 26.98

velocity	all create ${T_depart} 277387
velocity	all create 300 277387

pair_style	smtbq
pair_coeff	* * ffield.smtbq.Al Al
Reading potential file ffield.smtbq.Al with DATE: 2015-10-22

neighbor	0.5 bin
neigh_modify	every 20 delay 0 check yes

timestep        ${dt}
timestep        0.0002

thermo_style    custom step temp press pe ke etotal lx ly lz vol
thermo_modify	flush yes
thermo		1


#dump            5 all custom 1 box_Al.lammpstrj id type q x y z

fix		3 all nve
run		10
Neighbor list info ...
  update every 20 steps, delay 0 steps, check yes
  max neighbors/atom: 2000, page size: 100000
  master list distance cutoff = 11.6714
  ghost atom cutoff = 11.6714
  binsize = 5.8357, bins = 5 6 5
  1 neighbor lists, perpetual/occasional/extra = 1 0 0
  (1) pair smtbq, perpetual
      attributes: full, newton on
      pair build: full/bin/atomonly
      stencil: full/bin/3d
      bin: standard
Per MPI rank memory allocation (min/avg/max) = 4.917 | 4.967 | 5.303 Mbytes
Step Temp Press PotEng KinEng TotEng Lx Ly Lz Volume 
       0          300    729.26605   -5600.8541    65.108335   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       1    299.98314    729.90753   -5600.8504    65.104676   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       2    299.93254    731.83269   -5600.8395    65.093695   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       3    299.84823     735.0408   -5600.8212    65.075397   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       4    299.73023    739.53076   -5600.7955    65.049787   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       5    299.57857    745.30108   -5600.7626    65.016874   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       6    299.39331    752.34986   -5600.7224    64.976666   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       7    299.17449    760.67484   -5600.6749    64.929176   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       8    298.92218    770.27327   -5600.6202    64.874418   -5535.7458    28.637825    34.721517    28.059223    27900.653 
       9    298.63645    781.14198   -5600.5582    64.812407   -5535.7458    28.637825    34.721517    28.059223    27900.653 
      10    298.31739     793.2773   -5600.4889    64.743162   -5535.7458    28.637825    34.721517    28.059223    27900.653 
Loop time of 0.322912 on 8 procs for 10 steps with 1680 atoms

Performance: 0.535 ns/day, 44.849 hours/ns, 30.968 timesteps/s
100.0% CPU use with 8 MPI tasks x no OpenMP threads

MPI task timing breakdown:
Section |  min time  |  avg time  |  max time  |%varavg| %total
---------------------------------------------------------------
Pair    | 0.32037    | 0.3204     | 0.32044    |   0.0 | 99.22
Neigh   | 0          | 0          | 0          |   0.0 |  0.00
Comm    | 0.0020526  | 0.0021293  | 0.0022282  |   0.1 |  0.66
Output  | 0.00023177 | 0.00031144 | 0.00036578 |   0.0 |  0.10
Modify  | 2.8282e-05 | 3.3862e-05 | 4.2774e-05 |   0.0 |  0.01
Other   |            | 3.359e-05  |            |       |  0.01

Nlocal:    210 ave 286 max 153 min
Histogram: 2 0 1 1 1 0 1 1 0 1
Nghost:    3165 ave 3222 max 3089 min
Histogram: 1 0 1 1 0 1 1 1 0 2
Neighs:    0 ave 0 max 0 min
Histogram: 8 0 0 0 0 0 0 0 0 0
FullNghs:  79800 ave 108680 max 58140 min
Histogram: 2 0 1 1 1 0 1 1 0 1

Total # of neighbors = 638400
Ave neighs/atom = 380
Neighbor list builds = 0
Dangerous builds = 0

unfix		3
#thermo		15
fix             1 all box/relax tri 0.0 vmax 0.001
minimize        1.0e-8 1.0e-10 1000 10000
WARNING: Using 'neigh_modify every 1 delay 0 check yes' setting during minimization (../min.cpp:168)
Per MPI rank memory allocation (min/avg/max) = 6.046 | 6.094 | 6.428 Mbytes
Step Temp Press PotEng KinEng TotEng Lx Ly Lz Volume 
      10    298.31739     793.2773   -5600.4889    64.743162   -5535.7458    28.637825    34.721517    28.059223    27900.653 
      11    298.31739    2483.2537   -5600.5196    64.743162   -5535.7764     28.61795    34.697417    28.039778    27842.628 
      12    298.31739    3362.9759   -5600.6519    64.743162   -5535.9087    28.598526    34.662695    28.055662    27811.633 
      13    298.31739    1648.8914   -5600.6922    64.743162   -5535.9491    28.627163    34.689602    28.064454    27869.825 
      14    298.31739    1166.3667   -5600.7303    64.743162   -5535.9872    28.655801    34.708899    28.037132    27886.048 
      15    298.31739    2809.5166   -5600.7637    64.743162   -5536.0205    28.642376    34.689668    28.009072    27829.661 
      16    298.31739    3134.6665    -5600.792    64.743162   -5536.0488    28.613738    34.676108    28.036708    27818.388 
      17    298.31739    2320.9114   -5600.7992    64.743162   -5536.0561    28.619216     34.68814    28.049515    27846.082 
      18    298.31739    1988.2869   -5600.8048    64.743162   -5536.0616    28.625094    34.711138    28.036567    27857.402 
      19    298.31739    2576.0971   -5600.8095    64.743162   -5536.0663    28.618074    34.711584    28.022848    27837.299 
      20    298.31739    2790.5193   -5600.8161    64.743162   -5536.0729    28.603557    34.697208    28.041273    27829.942 
      21    298.31739    2401.1952   -5600.8178    64.743162   -5536.0747    28.606563    34.700936    28.048678    27843.208 
      22    298.31739    2274.3839   -5600.8212    64.743162    -5536.078    28.617148    34.710256     28.03511    27847.514 
      23    298.31739    2578.9926   -5600.8223    64.743162   -5536.0791    28.615814    34.705119    28.030094    27837.113 
      24    298.31739    2612.5916   -5600.8245    64.743162   -5536.0814    28.615825    34.689089    28.041866    27835.952 
      25    298.31739    2419.4149   -5600.8249    64.743162   -5536.0818    28.618754    34.690867    28.044193    27842.539 
      26    298.31739    2415.6398   -5600.8257    64.743162   -5536.0825    28.622044    34.696379    28.036641    27842.663 
      27    298.31739    2550.8546   -5600.8259    64.743162   -5536.0827    28.620156     34.69484    28.035086    27838.048 
      28    298.31739    2541.7472   -5600.8266    64.743162   -5536.0835    28.615252    34.692256    28.042288    27838.354 
      29    298.31739    2390.0944   -5600.8269    64.743162   -5536.0837    28.616525    34.695618    28.043532    27843.527 
      30    298.31739    2436.9694   -5600.8276    64.743162   -5536.0845    28.617063    34.702565    28.035775    27841.922 
      31    298.31739    2586.3239   -5600.8279    64.743162   -5536.0847    28.614364    34.700362    28.035067    27836.825 
      32    298.31739    2519.5208   -5600.8287    64.743162   -5536.0856    28.610774    34.696919    28.043656    27839.098 
      33    298.31739    2283.2024   -5600.8294    64.743162   -5536.0862     28.61575    34.699737     28.04462    27847.158 
      34    298.31739    2426.9505   -5600.8319    64.743162   -5536.0888    28.626453    34.697994    28.030586    27842.234 
      35    298.31739    2770.0862   -5600.8336    64.743162   -5536.0904    28.621427     34.68869    28.031229     27830.52 
      36    298.31739    2516.7151   -5600.8365    64.743162   -5536.0934    28.619006    34.683395    28.046563     27839.14 
      37    298.31739    2173.4276   -5600.8383    64.743162   -5536.0952     28.62624    34.691861    28.044421    27850.845 
      38    298.31739    2465.8787   -5600.8414    64.743162   -5536.0982    28.628292    34.695902    28.029075    27840.843 
      39    298.31739    2813.6034   -5600.8439    64.743162   -5536.1008    28.614996    34.691244    28.033902    27828.969 
      40    298.31739    2491.4284   -5600.8461    64.743162    -5536.103    28.610117    34.696011    28.045884    27839.941 
      41    298.31739    2295.8929   -5600.8472    64.743162    -5536.104    28.615594     34.70357    28.041121    27846.608 
      42    298.31739    2488.9821   -5600.8478    64.743162   -5536.1047    28.615841    34.703251    28.034496    27840.014 
      43    298.31739    2627.3878   -5600.8484    64.743162   -5536.1053    28.613069    34.695962    28.038344    27835.289 
      44    298.31739    2469.0461   -5600.8488    64.743162   -5536.1057    28.614572    34.694988    28.043096    27840.688 
      45    298.31739    2377.6762   -5600.8493    64.743162   -5536.1062    28.619657    34.697764    28.039007    27843.803 
      46    298.31739    2497.0573   -5600.8495    64.743162   -5536.1063     28.61957    34.696307    28.036166    27839.728 
      47    298.31739    2552.7407   -5600.8498    64.743162   -5536.1066    28.617528    34.692221    28.039555    27837.827 
      48    298.31739    2457.3594   -5600.8499    64.743162   -5536.1067    28.618089    34.692914    28.041722     27841.08 
      49    298.31739    2384.0016   -5600.8504    64.743162   -5536.1072    28.618924    34.700688    28.037139     27843.58 
      50    298.31739    2532.1524   -5600.8506    64.743162   -5536.1075    28.616618    34.700811    28.034207    27838.524 
      51    298.31739    2582.1284   -5600.8515    64.743162   -5536.1084    28.610669    34.696979    28.041409    27836.813 
      52    298.31739     2409.334   -5600.8519    64.743162   -5536.1087    28.612077    34.699343    28.044054    27842.706 
      53    298.31739    2360.4459   -5600.8535    64.743162   -5536.1103    28.617906    34.707048    28.033787    27844.364 
      54    298.31739    2630.6322   -5600.8543    64.743162   -5536.1111    28.615735    34.702807    28.030053    27835.141 
      55    298.31739    2617.6942   -5600.8578    64.743162   -5536.1147    28.613834    34.686775    28.045293     27835.56 
      56    298.31739    2326.4339   -5600.8588    64.743162   -5536.1156    28.619153    34.689911    28.047549    27845.491 
      57    298.31739    2404.4422    -5600.861    64.743162   -5536.1178    28.626689    34.694083    28.034099    27842.815 
      58    298.31739    2629.2016   -5600.8615    64.743162   -5536.1184    28.622661    34.690938    28.032861    27835.144 
      59    298.31739    2536.8186   -5600.8631    64.743162   -5536.1199    28.614872    34.690548    28.043972    27838.286 
      60    298.31739    2334.5098   -5600.8636    64.743162   -5536.1205    28.617342    34.695901    28.044175    27845.186 
      61    298.31739    2451.9563   -5600.8645    64.743162   -5536.1214    28.618129     34.70023    28.035863    27841.172 
      62    298.31739    2564.3828   -5600.8647    64.743162   -5536.1215    28.615528    34.698091    28.036275    27837.336 
      63    298.31739    2494.1546   -5600.8649    64.743162   -5536.1218    28.613968    34.697372    28.040796     27839.73 
      64    298.31739    2407.0394    -5600.865    64.743162   -5536.1219    28.616428    34.698568    28.040412    27842.702 
      65    298.31739    2477.5878   -5600.8652    64.743162   -5536.1221    28.618872    34.697457     28.03649    27840.293 
      66    298.31739    2566.5808   -5600.8654    64.743162   -5536.1222    28.617519    34.693946    28.037595    27837.256 
      67    298.31739     2482.763   -5600.8655    64.743162   -5536.1224    28.617805    34.692812    28.041109    27840.114 
      68    298.31739    2380.7992   -5600.8658    64.743162   -5536.1226    28.620379    34.696126    28.039412    27843.592 
      69    298.31739    2496.0633   -5600.8661    64.743162   -5536.1229    28.620468    34.696936    28.034708    27839.657 
      70    298.31739    2670.4648   -5600.8669    64.743162   -5536.1237       28.614    34.692702    28.038469    27833.704 
      71    298.31739    2459.9756   -5600.8677    64.743162   -5536.1245    28.612778    34.694924    28.045098    27840.878 
      72    298.31739    2297.7713    -5600.869    64.743162   -5536.1258    28.615836    34.706164    28.038584    27846.405 
      73    298.31739    2520.8258   -5600.8696    64.743162   -5536.1265     28.61385     34.70606    28.032944    27838.788 
      74    298.31739     2666.117   -5600.8712    64.743162   -5536.1281    28.610322     34.69425    28.040943    27833.823 
      75    298.31739    2420.9541    -5600.872    64.743162   -5536.1288    28.613449    34.694385    28.046189    27842.181 
      76    298.31739    2336.6074   -5600.8737    64.743162   -5536.1305    28.621821    34.699244    28.036946    27845.049 
      77    298.31739    2525.1362   -5600.8741    64.743162   -5536.1309    28.620502    34.696405    28.034052    27838.613 
      78    298.31739    2547.7004   -5600.8747    64.743162   -5536.1315    28.617766    34.691193    28.040166     27837.84 
      79    298.31739    2449.5472   -5600.8748    64.743162   -5536.1316    28.618658    34.692581    28.041541    27841.188 
      80    298.31739    2440.3515    -5600.875    64.743162   -5536.1319    28.619319    34.697319    28.037379      27841.5 
      81    298.31739    2518.5001   -5600.8751    64.743162   -5536.1319    28.617865    34.696805    28.036534    27838.834 
      82    298.31739    2506.7749   -5600.8752    64.743162   -5536.1321    28.615191    34.696375    28.039903    27839.233 
      83    298.31739    2454.4703   -5600.8753    64.743162   -5536.1321    28.615849    34.697303    28.040305    27841.017 
Loop time of 4.72215 on 8 procs for 73 steps with 1680 atoms

99.8% CPU use with 8 MPI tasks x no OpenMP threads

Minimization stats:
  Stopping criterion = energy tolerance
  Energy initial, next-to-last, final = 
        -5600.48891786     -5600.87523141     -5600.87526092
  Force two-norm initial, final = 50.869 1.14816
  Force max component initial, final = 29.365 1.01817
  Final line search alpha, max atom move = 0.00192375 0.00195871
  Iterations, force evaluations = 73 141

MPI task timing breakdown:
Section |  min time  |  avg time  |  max time  |%varavg| %total
---------------------------------------------------------------
Pair    | 4.6781     | 4.6785     | 4.679      |   0.0 | 99.07
Neigh   | 0          | 0          | 0          |   0.0 |  0.00
Comm    | 0.027017   | 0.027387   | 0.027517   |   0.1 |  0.58
Output  | 0.0016669  | 0.0017899  | 0.0023751  |   0.5 |  0.04
Modify  | 0          | 0          | 0          |   0.0 |  0.00
Other   |            | 0.01452    |            |       |  0.31

Nlocal:    210 ave 221 max 202 min
Histogram: 1 0 2 0 2 2 0 0 0 1
Nghost:    3165 ave 3173 max 3154 min
Histogram: 1 0 0 0 2 2 0 2 0 1
Neighs:    0 ave 0 max 0 min
Histogram: 8 0 0 0 0 0 0 0 0 0
FullNghs:  79800 ave 83980 max 76760 min
Histogram: 1 0 2 0 2 2 0 0 0 1

Total # of neighbors = 638400
Ave neighs/atom = 380
Neighbor list builds = 0
Dangerous builds = 0

unfix		1
thermo		1
fix             3 all nve
run             10
Per MPI rank memory allocation (min/avg/max) = 4.921 | 4.969 | 5.303 Mbytes
Step Temp Press PotEng KinEng TotEng Lx Ly Lz Volume 
      83    298.31739    2454.4703   -5600.8753    64.743162   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      84     298.3068    2454.6459    -5600.873    64.740864   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      85    298.26241    2456.1029   -5600.8633     64.73123   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      86    298.18423     2458.841   -5600.8464    64.714262   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      87    298.07227    2462.8593   -5600.8221    64.689964   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      88    297.92657    2468.1565   -5600.7904    64.658344   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      89    297.74717    2474.7308   -5600.7515    64.619409   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      90    297.53411    2482.5799   -5600.7053    64.573169   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      91    297.28745    2491.7014   -5600.6517    64.519636   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      92    297.00725    2502.0923   -5600.5909    64.458826   -5536.1321    28.615849    34.697303    28.040305    27841.017 
      93     296.6936    2513.7494   -5600.5228    64.390754   -5536.1321    28.615849    34.697303    28.040305    27841.017 
Loop time of 0.326415 on 8 procs for 10 steps with 1680 atoms

Performance: 0.529 ns/day, 45.335 hours/ns, 30.636 timesteps/s
100.0% CPU use with 8 MPI tasks x no OpenMP threads

MPI task timing breakdown:
Section |  min time  |  avg time  |  max time  |%varavg| %total
---------------------------------------------------------------
Pair    | 0.32396    | 0.324      | 0.32407    |   0.0 | 99.26
Neigh   | 0          | 0          | 0          |   0.0 |  0.00
Comm    | 0.0019978  | 0.0020672  | 0.0021285  |   0.1 |  0.63
Output  | 0.00024599 | 0.00027875 | 0.00034497 |   0.0 |  0.09
Modify  | 3.1624e-05 | 3.3698e-05 | 3.5567e-05 |   0.0 |  0.01
Other   |            | 3.361e-05  |            |       |  0.01

Nlocal:    210 ave 219 max 201 min
Histogram: 2 0 0 2 0 1 0 1 0 2
Nghost:    3165 ave 3174 max 3156 min
Histogram: 2 0 1 0 1 0 2 0 0 2
Neighs:    0 ave 0 max 0 min
Histogram: 8 0 0 0 0 0 0 0 0 0
FullNghs:  79800 ave 83220 max 76380 min
Histogram: 2 0 0 2 0 1 0 1 0 2

Total # of neighbors = 638400
Ave neighs/atom = 380
Neighbor list builds = 0
Dangerous builds = 0

Total wall time: 0:00:06
